Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface AssignToNextUserAction

All Superinterfaces:
  Action, Comparable, EventSource, NamedIndexedObject, NamedObject, Serializable, StepAction, StepWorkAction, WorkAction

    public interface AssignToNextUserAction

extends StepWorkAction, Serializable

BEA Systems, Inc. This action is used to implement the ‘Iterate List’ candidate list handling to successively assign a task to a list of users, and have that task stay at a single step until all users have had a chance to interact with the task. This type of ‘candidate list handling’ works in conjunction with an AssignToNextUser action on the step in order to move through the candidate list for a task. Each time an AssignToNextUser action is taken, the task is assigned to (and automatically claimed for) the next user in the candidate list.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.taskplan.WorkAction
`WorkAction.Event`

Method Summary

Methods inherited from interface com.bea.wli.worklist.api.taskplan.StepWorkAction
`isSelfTransition`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.StepAction
`getStep`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Action
`addPropertyRef, addPropertyRef, getActionContainer, getPropertyNames, getPropertyRefs, removePropertyRef, removePropertyRef, setPropertyRefs`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.WorkAction
`getNextStep, getNextStepName, getSourceActionConnector, setNextStep`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Action
`addPropertyRef, addPropertyRef, getActionContainer, getPropertyNames, getPropertyRefs, removePropertyRef, removePropertyRef, setPropertyRefs`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD